Make a Merseyfriend

This game requires Flash Player 9 or later, and for you to have Javascript enabled in your browser. You can download the latest Flash player from Adobe's Flash player page [opens in new window]|. You will need to refresh this window after the install.